Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Op_Dcl_Scope Class Reference

`#include <PSDL_Op_Dcl_Scope.h>`

Inheritance diagram for TAO_PSDL_Op_Dcl_Scope:

[legend]
Collaboration diagram for TAO_PSDL_Op_Dcl_Scope:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Op_Dcl_Scope (TAO_PSDL_Scope *parent_scope)
int | add_const_decl (ACE_CString identifier, ACE_CString identifier_type)
int | add_member_decl (ACE_CString identifier, ACE_CString identifier_type)
void | dump (CORBA::ULong depth)
| Function to help indent the output of the parse tree. More...
TAO_PSDL_Scope * | parent_scope (void)
| Return the pointer to the parent scope. More...
Scope_Map * | scope_map (void)
| Return the pointer to Scope_Map of the instance. More...
## Protected Attributes
Scope_Map | scope_map_
TAO_PSDL_Scope * | parent_scope_

## Constructor & Destructor Documentation

TAO_PSDL_Op_Dcl_Scope::TAO_PSDL_Op_Dcl_Scope | ( | TAO_PSDL_Scope * | parent_scope | ) |

## Member Function Documentation

int TAO_PSDL_Op_Dcl_Scope::add_const_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Op_Dcl_Scope::add_member_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

void TAO_PSDL_Op_Dcl_Scope::dump | ( | CORBA::ULong | depth | ) | `[virtual]`

| Function to help indent the output of the parse tree. Reimplemented from TAO_PSDL_Scope.

TAO_PSDL_Scope * TAO_PSDL_Op_Dcl_Scope::parent_scope | ( | void |  | ) | `[virtual]`

| Return the pointer to the parent scope. Reimplemented from TAO_PSDL_Scope.

Scope_Map * TAO_PSDL_Op_Dcl_Scope::scope_map | ( | void |  | ) | `[virtual]`

| Return the pointer to Scope_Map of the instance. Reimplemented from TAO_PSDL_Scope.

## Member Data Documentation

TAO_PSDL_Scope* TAO_PSDL_Op_Dcl_Scope::parent_scope_`[protected]`

Scope_Map TAO_PSDL_Op_Dcl_Scope::scope_map_`[protected]`

The documentation for this class was generated from the following files:

- PSDL_Op_Dcl_Scope.h
- PSDL_Op_Dcl_Scope.cpp